/*
 Theme Name:   Bricks Child Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Use this child theme to extend Bricks.
 Author:       Bricks
 Author URI:   https://bricksbuilder.io/
 Template:     bricks
 Version:      1.1
 Text Domain:  bricks
*/

/* get footer always on bottom */
.brx-body {
  min-height: 100dvh;
}

html[lang="ar"] body,
html[lang="fa-IR"] body {
  font-family: "Noto Sans Arabic", "Noto Sans", sans-serif;
}

html[lang="ar"] :is(h1, h2, h3, h4, h5, h6),
html[lang="fa-IR"] :is(h1, h2, h3, h4, h5, h6) {
  font-family: "Noto Sans Arabic", "Noto Sans", sans-serif !important;
}
html[lang="ru-RU"] :is(h1, h2, h3, h4, h5, h6) {
  font-family: "Noto Sans Cyrillic", "Noto Sans", sans-serif !important;
}
html[lang="uk"] :is(h1, h2, h3, h4, h5, h6) {
  font-family: "Noto Sans Cyrillic", "Noto Sans", sans-serif !important;
}

html[lang="ru-RU"] body,
html[lang="ru-RU"] body *,
html[lang="uk"] body,
html[lang="uk"] body * {
  font-family: "Noto Sans Cyrillic", "Noto Sans", sans-serif !important;
}

.mrcLang > li {
  margin-top: 0.5rem;
  border-bottom: 1px solid rgba(0, 0, 0, 0);
  transition: all 0.2s ease;
  padding: 0.1rem;
}

/* Hover-Effekt */
.mrcLang > li:hover {
  border-bottom: 1px solid #4062bb;
}
#brxe-tbigoz {
  display: none;
}

/* language switcher pll-Shortcode für Mobile Menu */
.pll-langs {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.pll-lang-item {
  text-decoration: none;
}
.pll-lang-item.is-active {
  font-weight: 700;
}
.pll-lang-item.pll-no-translation {
  opacity: 0.45;
}

/* Button Marc noto */
html[lang="ar"] :is(.brxe-button, .btnCTA1, .bricks-button),
html[lang="fa-IR"] :is(.brxe-button, .btnCTA1, .bricks-button) {
  font-family: "Noto Sans Arabic", "Noto Sans", sans-serif !important;
}

/* Button Copy */

.mrc-copy-btn.copied {
  background: #28a745 !important;
  color: #fff !important;
  transition: all 0.2s ease;
}
/* Links mit Pfeil  */
.brxe-text a::before {
  content: "→\00A0";
}

.brxe-text,
.brxe-text-basic {
  overflow-wrap: break-word;
  hyphens: auto;
}

/* arabischer GDPR Text textalign */
html[lang="ar"] :is(.brxe-form .options-wrapper > li),
html[lang="fa-IR"] :is(.brxe-form .options-wrapper > li) {
  text-align: right !important;
}

/* mrc Text Link gedöns */
.mrc-textLink a::before {
  content: "→\202F";
}
.mrc-textLink a {
  text-decoration: underline;
  transition: all 0.3s ease;
}
%root% a:hover {
  color: #59c3c3;
}
.brxe-form .options-wrapper > li {
  display: flex;
  text-align: left;
  flex-direction: row;
  align-items: flex-start;
  column-gap: 1em;
}
.brxe-form .options-wrapper label {
  margin: -0.5rem 0 0 0;
}
/* anchor Links Header compensation */
:target {
  scroll-margin-top: 100px;
}
